title: Ma page personnalisée
'@extends':
    type: default
    context: blueprints://pages/02.home

form:
  fields:
    tabs:
      type: tabs
      active: 1

      fields:
        content:
          type: tab
          title: Contenu

          fields:
            header.title:
              type: text
              label: Titre de la page
          
            header.media_audio:
              type: file
              label: Fichier audio
              help: Émission au format mp3
              destination: 'self@'
              multiple: false
              accept:
                - audio/*

            header.title_emission:
              type: textarea
              label: Titre de l'émission
              help: Titre de l'émission

            header.content:
              type: textarea
              label: Texte descriptif de l'émission
              help: Texte de l'émission

            header.subtitle:
              type: textarea
              label: Sous-titre
              help: Sous-titre de l'émission

            header.autors:
              type: textarea
              label: Auteurs
              help: Auteur.ice de l'émission

            header.date_emission:
              type: date
              label: Date de diffusion pour ordinateur
              format: d.m.Y   # affichage dans l’admin comme 05.10.2025
              validate:
                type: date

            header.date_mobile_emission:
              type: date
              label: Date de diffusion pour téléphone
              format: d.m.Y   # affichage dans l’admin comme 05.10.2025
              validate:
                type: date

            header.hour:
              type: textarea
              label: Heure
              help: Heure de diffusion

            header.duration:
              type: textarea
              label: Durée
              help: Durée de l'émission

            header.media_image:
              type: file
              label: Cover
              help: Cover de l'émission
              destination: 'self@'   # les fichiers vont dans le dossier de la page
              accept:
                - image/*

        options:
          type: tab
          title: Options
          fields:
            header.show_sidebar:
              type: toggle
              label: Afficher la sidebar ?
              highlight: 1
              default: 1
              options:
                1: Oui
                0: Non
